import request from '@/utils/request'

// 查询经营场所投资人关联列表
export function listStoreInvestor(query) {
  return request({
    url: '/ss/storeInvestor/list',
    method: 'get',
    params: query
  })
}

// 查询经营场所投资人关联详细
export function getStoreInvestor(id) {
  return request({
    url: '/ss/storeInvestor/' + id,
    method: 'get'
  })
}

// 新增经营场所投资人关联
export function addStoreInvestor(data) {
  return request({
    url: '/ss/storeInvestor',
    method: 'post',
    data: data
  })
}

// 修改经营场所投资人关联
export function updateStoreInvestor(data) {
  return request({
    url: '/ss/storeInvestor',
    method: 'put',
    data: data
  })
}

// 删除经营场所投资人关联
export function delStoreInvestor(id) {
  return request({
    url: '/ss/storeInvestor/' + id,
    method: 'delete'
  })
}
